[Документация Yandex Cloud](../../../index.md) > [Yandex Lockbox](../../index.md) > Справочник API > [REST (англ.)](../index.md) > [Payload](index.md) > GetEx

# Lockbox API, REST: Payload.GetEx

## HTTP request

```
GET https://dpl.lockbox.api.yandexcloud.kz/lockbox/v1/secrets:getEx
```

## Query parameters {#yandex.cloud.lockbox.v1.GetExRequest}

#|
||Field | Description ||
|| secretId | **string**

The maximum string length in characters is 50.

Includes only one of the fields `secretId`, `folderAndName`. ||
|| folderAndName | **[FolderAndName](#yandex.cloud.lockbox.v1.FolderAndName)**

Includes only one of the fields `secretId`, `folderAndName`. ||
|| versionId | **string**

The maximum string length in characters is 50. ||
|#

## FolderAndName {#yandex.cloud.lockbox.v1.FolderAndName}

#|
||Field | Description ||
|| folderId | **string**

Required field.

The maximum string length in characters is 50. ||
|| secretName | **string**

Required field.

The maximum string length in characters is 100. ||
|#

## Response {#yandex.cloud.lockbox.v1.GetExResponse}

**HTTP Code: 200 - OK**

```json
{
  "secretId": "string",
  "versionId": "string",
  "entries": "object"
}
```

#|
||Field | Description ||
|| secretId | **string** ||
|| versionId | **string** ||
|| entries | **object** (map<**string**, **string** (bytes)>) ||
|#